# of<F> static method

Class<F> of<F>([

1. ProtectionDomain? domain,
2. String? package

])

Creates a Class instance for type F.

Type Parameters:

- `F`: The class type to reflect

Parameters:

- `domain`: Optional protection domain
- `package`: Optional package name to search with

Returns:

- A Class instance for the type

## Implementation

    static Class<F> of<F>([ProtectionDomain? domain, String? package]) => Class<F>(domain, package);